package examples.ch8.ch8;

/**
 * DocJava, Inc.
 * http://www.docjava.com
 * Programmer: dlyon
 * Date: Sep 27, 2004
 * Time: 3:35:17 PM
 */
public class ArrayStack implements StackInterface {
    Object oa[] = new Object[100];
    int top = 0;

    public void push(Object o) {
        oa[top] = o;
        top++;
    }

    public Object pop() {
        System.out.println("top="+top);
        if (top == 0) return null;
        Object o = oa[top - 1];
        top--;
        return o;
    }

    public int getSize() {
        return oa.length;
    }
       public static void main(String[] args) {
        String s[] = {
            "randeep", "lok", "dahiana", "damian"
        };
        ArrayStack vs = new ArrayStack();
        for (int i=0; i < s.length; i++)
            vs.push(s[i]);
        System.out.println("vs.getsize="+vs.getSize());
        Object o = vs.pop();
        while(o != null) {
            System.out.println(o);
            o = vs.pop();
        }
    }
}
